{% load static wagtailimages_tags wagtailcore_tags donate_tags %}

{% if page.show_donate_form %}
  <div class="container" id="strana">
    <h2 class="lead page-subheading mb-4">{{ self.heading }}</h2>
    <p class="mb-4">{{ self.description|richtext }}</p>
    <div class="donate-form">
        {% if self.image %}
            <div class="donate-form__left">
                <div class="donate-form__icon">
                    {% image self.image fill-256x256 as img %}
                    <img data-src="{{ img.url }}" class="lazyload img-fluid" alt="{{ img.alt }}">
                </div><!-- /donate-form__icon -->
            </div><!-- /donate-form__left -->
        {% endif %}
      <div class="donate-form__right">
        <form id="js-donate-form" method="post">
          {% csrf_token %}
          <input type="hidden" name="portal_project_id" value="{{ page.portal_project_id }}">
          <div class="form-group row mb-4 align-items-center">
            <legend class="col-form-label col-md-4 col-form-label-lg">Typ příspěvku</legend>
            <div class="col-md-8">
                <div class="custom-control custom-radio custom-control-inline">
                  <input type="radio" id="periodicity1" name="periodicity" value="730" class="custom-control-input" checked required>
                  <label class="custom-control-label col-form-label-lg" for="periodicity1">Měsíční</label>
                </div>
                <div class="custom-control custom-radio custom-control-inline">
                  <input type="radio" id="periodicity2" name="periodicity" value="99999" class="custom-control-input">
                  <label class="custom-control-label col-form-label-lg" for="periodicity2">Jednorázový</label>
                </div>
            </div>
          </div>
          <div class="form-group row mb-4 align-items-center">
            <legend class="col-form-label col-md-4 col-form-label-lg">Částka</legend>
            <div class="col-md-8">
                <div id="monthlyAmounts" data-default-selected="{{ page.form_monthly_preselected }}">
                    {% include "donate/form_monthly_amounts_snippet.html" %}
                </div>
                <div id="oneTimeAmounts" style="display: None" data-default-selected="{{ page.form_preselected }}">
                    {% include "donate/form_amounts_snippet.html" %}
                </div>
            </div>
          </div>
          <div class="form-group row mb-0 align-items-center" id="js-custom-amount-input">
              <div class="col-md-4 order-md-0 order-1">
                  <button type="submit" class="btn btn-danger btn-lg">Darovat</button>
              </div>
            <div class="col-md-8 mb-4 mb-md-0">
              <div class="input-group input-group-lg mb-0 custom-amount">
                <input type="number" class="form-control" id="customamount" placeholder="Jiná částka" name="custom_amount" aria-describedby="customamount-currency">
                <div class="input-group-append">
                  <span class="input-group-text" id="customamount-currency">Kč</span>
                </div>
              </div>
            </div>
          </div>
        </form>

      </div><!-- /donate-form__right -->
    </div><!-- /donate-form -->
  </div> <!-- /container -->
{% endif %}
